Subject: Re: [bitcoin-dev] libconsensus and bitcoin development process

From: Peter Todd <[email-masked]>
Date: Wed, 16 Sep 2015 18:29:28 -0400

On Tue, Sep 15, 2015 at 12:10:37AM -0400, Jeff Garzik via bitcoin-dev wrote:
> Refactors however have a very real negative impact.
> bitcoin/bitcoin.git is not only the source tree in the universe.
> Software engineers at home, at startups, and at major companies are
> maintaining branches of their own.

Incidentally, it'd help if we got some insight into why those branches
are being maintained; what features are in those branches that Bitcoin
Core doesn't have?

I've run into a number of cases where companies were maintaining forks
of Bitcoin Core unnecessarily, where a different, loosely coupled,
architecture could do what they needed to do without including the new
logic in the codebase itself.

-- 
'peter'[:-1]@petertodd.org
000000000000000013137b1bd77e352d28fa36309be1c821180eda408bcb745c